> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/install/9.3-install/pentaho-installation-overview-cp/docker-container-deployment-of-pentaho-installation-cp/using-your-docker-containers-with-clusters-docker-deployment/shared-volumes-docker-deployment/override-files-volume-docker-deployment.md).

# Override Files volume

When you use the `DockMaker` command, an override volume is generated. This volume contains all the changes that must be made to the basic artifact files to create the configuration desired. The volume binds the `generatedFiles/fileOverride` directory on the host with the `/docker-entrypoint-init` directory on the container. When you start the container, the files present in this directory overwrites the files and directories in the `/opt/pentaho/data-integration` or `/opt/pentaho/pentaho-server` directory, depending on which one is in use.

If you need any additional files, drivers, or other items placed in the application’s directory, just add them with the proper path to the `fileOverride` directory.

**Note:** Any changes you make in this volume will be lost if the command tool is executed again, which is why the command line has the option prepare the container without building it. In many cases, you may need to make more changes to the templates generated by the `DockMaker` command. If you want to back up the files generated or manually change them, rename the `generatedFiles` directory or copy the directory to another location. If you take this action, you may need adjust some paths associate with parameters to the `DockMaker` command.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pentaho.com/install/9.3-install/pentaho-installation-overview-cp/docker-container-deployment-of-pentaho-installation-cp/using-your-docker-containers-with-clusters-docker-deployment/shared-volumes-docker-deployment/override-files-volume-docker-deployment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
